function msg(info){
var p=document.createElement("iframe");
if (!info) var info='正在导出数据，请耐心等待。。。';
p.id="p";
p.style.position="absolute";
p.style.width=document.body.scrollWidth;
p.style.height=(document.body.offsetHeight>document.body.scrollHeight)?'100%':document.body.scrollHeight;
p.style.zIndex='998';
p.style.top='0px';
  p.style.left='0%';
p.style.backgroundColor="gray";
p.style.opacity='0.5';
p.style.filter="alpha(opacity=80)";
document.body.appendChild(p);
var p1=document.createElement("DIV");
var top=parseInt(parseInt(document.body.scrollHeight)*0.25)+document.body.scrollTop;
p1.style.position="absolute";
p1.style.width="300px";
p1.id="p1";
var left=Math.ceil(((document.body.scrollWidth)-parseInt(p1.style.width.replace('px','')))/2)+document.body.scrollLeft;
p1.style.height="200px";
p1.style.zIndex='999';
p1.style.top=top+'px';
  p1.style.left=left+'px';
p1.style.border="0px solid #0A84C7";
var html="";
  html+="<center>"
  html+="<div class='p3' style='height:1px;overflow:hidden;background:#0A84C7;width:294px;border-left:1px solid #0A84C7;border-right:1px solid #0A84C7;'></div>"
  html+="<div class='p2' style='height:1px;overflow:hidden;background:#0A84C7;width:296px;border-left:1px solid #0A84C7;border-right:1px solid #0A84C7;'></div>"
  html+="<div class='p2' style='height:1px;overflow:hidden;background:#0A84C7;width:298px;border-left:1px solid #0A84C7;border-right:1px solid #0A84C7;'></div>"
  html+="<div class='p1' style='height:20px;overflow:hidden;background:#0A84C7;width:300px;border-left:1px solid #0A84C7;border-right:1px solid #0A84C7;color:#fff;font-size:9pt;font-weight:bold;text-align:left;'> ⊙ 提示消息</div>"
  html+="<div id='c' style='height:150px;width:300px;background-color:#C1D5F0;overflow:hidden;border-left:1px solid #0A84C7;border-right:1px solid #0A84C7;padding-top:40px;font-size:9pt;'><img src='resources/header_logginginAction.gif'/></p>"+info+"<p><p></div>"
  html+="<div class='p1' style='height:1px;overflow:hidden;background:#0A84C7;width:298px;border-left:1px solid #0A84C7;border-right:1px solid #0A84C7;'></div>"
  html+="<div class='p2' style='height:1px;overflow:hidden;background:#0A84C7;width:296px;border-left:1px solid #0A84C7;border-right:1px solid #0A84C7;'></div>"
  html+="<div class='p3' style='height:1px;overflow:hidden;background:#0A84C7;width:294px;border-left:1px solid #0A84C7;border-right:1px solid #0A84C7'></div>"
  html+="</center>"
document.body.appendChild(p1);
p1.innerHTML=html;
var arr=document.getElementsByTagName("select");
var i=0;
while(i<arr.length){
  arr[i].style.visibility='hidden';
  i++;
}
}
function canclemsg(){
if(document.getElementById('p')==null){
	return;
}
document.body.removeChild(document.getElementById('p'));
document.body.removeChild(document.getElementById('p1'));
var arr=document.getElementsByTagName("select");
  var i=0;
  while(i<arr.length){
  arr[i].style.visibility='visible';
  i++;
  }
}

function stopSearch(){
	canclemsg();
	msg("正在停止搜索，请稍后。。。");
	sendNSCommand('STOPSEARCH'+selectTableName);
}